Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.dataobjs
Class DBColumn

    java.lang.Object
      com.knowgate.dataobjs.DBColumn

    public final class DBColumn

extends java.lang.Object

Object representing metadata for a database table column.

Constructor Summary
`DBColumn()`
`DBColumn(java.lang.String sTable, java.lang.String sColName, short iColType, java.lang.String sColType, int iPrecision, int iDecDigits, int iNullable, int iColPos)`

Method Summary
`java.lang.Object` | `convert(java.lang.String sIn)`
`java.text.SimpleDateFormat` | `getDateFormat()`
`int` | `getDecimalDigits()`
`java.lang.String` | `getName()`
`int` | `getPosition()`
`int` | `getPrecision()`
`short` | `getSqlType()`
`static int` | `getSQLType(java.lang.String sToken)` Get SQL type identifier from its name
`java.lang.String` | `getSqlTypeName()`
`java.lang.String` | `getTableName()`
`boolean` | `isNullable()`
`void` | `setDateFormat(java.lang.String sFmt)`
`void` | `setName(java.lang.String sColName)` Set column name
`void` | `setPosition(int iPos)` Set column position
`void` | `setSqlType(int iType)`
`void` | `setSqlType(short iType)` Set SQL type for this column
`static java.lang.String` | `typeName(int iSQLtype)` Get SQL type name from its integer identifier

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DBColumn

    public DBColumn()

### DBColumn

    public DBColumn(java.lang.String sTable,
                    java.lang.String sColName,
                    short iColType,
                    java.lang.String sColType,
                    int iPrecision,
                    int iDecDigits,
                    int iNullable,
                    int iColPos)

Method Detail

### getName

    public java.lang.String getName()

  Returns:
    Column Name

### setName

    public void setName(java.lang.String sColName)

  Set column name

  Parameters:
    `sColName` - String

### getPosition

    public int getPosition()

  Returns:
    Column Position (starting at column 1)

### setPosition

    public void setPosition(int iPos)

  Set column position

  Parameters:
    `iPos` - int

### getTableName

    public java.lang.String getTableName()

  Returns:
    Name of table containing this column

### getSqlType

    public short getSqlType()

  Returns:
    Column SQL Type
  See Also:
    `Types`

### setSqlType

    public void setSqlType(short iType)

  Set SQL type for this column

  Parameters:
    `iType` - short

### setSqlType

    public void setSqlType(int iType)

### getSqlTypeName

    public java.lang.String getSqlTypeName()

  Returns:
    SQL Type Name

### getPrecision

    public int getPrecision()

  Returns:
    Column Precision

### getDecimalDigits

    public int getDecimalDigits()

  Returns:
    Decimal Digits

### isNullable

    public boolean isNullable()

  Returns:
    Allows NULLs?

### setDateFormat

    public void setDateFormat(java.lang.String sFmt)
                       throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

### getDateFormat

    public java.text.SimpleDateFormat getDateFormat()

### typeName

    public static java.lang.String typeName(int iSQLtype)

  Get SQL type name from its integer identifier

  Parameters:
    `iSQLtype` - int
  Returns:
    String

### getSQLType

    public static int getSQLType(java.lang.String sToken)

  Get SQL type identifier from its name

  Parameters:
    `sToken` - String
  Returns:
    String

### convert

    public java.lang.Object convert(java.lang.String sIn)
                             throws java.lang.NumberFormatException,
                                    java.text.ParseException,
                                    java.lang.NullPointerException

  Throws:
    `java.lang.NumberFormatException`
    `java.text.ParseException`
    `java.lang.NullPointerException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD